### Function

# Camel Provider list

#### Declaration [src]

    GList*
    camel_provider_list (
      gboolean load
    )

#### Description [src]

This returns a list of available providers. If `load` is `TRUE`, it will first load in all available providers that haven’t yet been loaded.

Free the returned list with g_list_free(). The `CamelProvider` structs in the list are owned by Camel and should not be modified or freed.

#### Parameters

`load`

  Type: `gboolean`

  Whether or not to load in providers that are not already loaded.

#### Return value

Type: A list of `CamelProvider*`

A `GList` of `CamelProvider` structs.

The caller of the function takes ownership of the data container, but not the data inside it.